# Publications

## Ph.D. Thesis

[Thresholded-Rewards Decision Problems: Acting Effectively in Timed Domains.](papers/mcmillen-thesis.pdf)
Colin McMillen.
Technical report CMU-CS-09-112, Carnegie Mellon University, April 2, 2009.

## Journal Articles

[reCAPTCHA: Human-Based Character Recognition via Web Security Measures.](http://www.sciencemag.org/cgi/content/abstract/321/5895/1465)
Luis von Ahn, Benjamin Maurer, Colin McMillen, David Abraham, and Manuel Blum.
Science, 12 September 2008: 1465-1468.

[A Team of Humanoid Game Commentators.](/papers/Veloso-2008-IJHR-CMCast.pdf)
Manuela Veloso, Nicholas Armstrong-Crews, Sonia Chernova, Elisabeth Crawford, Colin McMillen, Maayan Roth, and Douglas Vail.
International Journal of Humanoid Robotics, 2008.

[Resource Scheduling and Load Balancing in Distributed Robotic Control Systems.](papers/McMillen-2003-RAS-final.pdf)
Colin McMillen, Kristen Stubbs, Paul E. Rybski, Sascha A. Stoeter, Maria Gini, and Nikolaos Papanikolopoulos.
Robotics and Autonomous Systems, 2003.

[A Robot Team for Surveillance Tasks: Design and Architecture.](papers/Stoeter-2002-RAS-final.pdf)
Sascha A. Stoeter, Paul E. Rybski, Kristen N. Stubbs, Colin McMillen, Maria Gini, Dean F. Hougen, and Nikolaos Papanikolopoulos.
Robotics and Autonomous Systems, August 2002.

## Refereed Conference Papers

[Analysis of Multi-Robot Play Effectiveness and of Distributed Incidental Play Recognition.](papers/McMillen-2008-DARS-final.pdf)
Colin McMillen and Manuela Veloso.
Proceedings of Distributed Autonomous Robotic Systems (DARS 2008), November 2008.

[Unknown Rewards in Finite-Horizon Domains.](papers/McMillen-2008-AAAI-final.pdf)
Colin McMillen and Manuela Veloso.
Proceedings of the Twenty-Second Conference on Artificial Intelligence (AAAI-08), July 2008.

[Thresholded Rewards: Acting Optimally in Timed, Zero-Sum Games.](papers/McMillen-2007-AAAI-final.pdf)
Colin McMillen and Manuela Veloso.
Proceedings of the Twenty-Second Conference on Artificial Intelligence (AAAI-07), July 2007.
*AAAI-07 Outstanding Paper Award*

[A Team of Humanoid Game Commentators.](papers/Veloso-2006-Humanoids.pdf)
Manuela Veloso, Nicholas Armstrong-Crews, Sonia Chernova, Elisabeth Crawford, Colin McMillen, Maayan Roth, and Douglas Vail.
Proceedings of the IEEE-RAS International Conference on Humanoid Robots (Humanoids'06), Genova, Italy, December 2006.

[Distributed, Play-Based Role Assignment for Robot Teams in Dynamic Environments.](papers/McMillen-2006-DARS-final.pdf)
Colin McMillen and Manuela Veloso.
Proceedings of DARS 2006, Minneapolis, MN, July 2006.

[Distributed, Play-Based Coordination for Robot Teams in Dynamic Environments.](papers/McMillen-2006-RoboCup-final.pdf)
Colin McMillen and Manuela Veloso.
Proceedings of the RoboCup International Symposium, Bremen, Germany, June 2006.

[Levels of Multi-Robot Coordination for Dynamic Environments.](papers/McMillen-2005-NRL-final.pdf)
Colin McMillen, Paul Rybski, and Manuela Veloso.
Multi-Robot Systems: From Swarms to Intelligent Automata, Volume III, 2005.

[MinneTAC Sales Strategies for Supply Chain TAC.](papers/Ketter-2004-AAMAS-final.pdf)
Wolfgang Ketter, Elena Kryzhnyaya, Steven Damer, Colin McMillen, Amrudin Agovic, John Collins, and Maria Gini.
Proceedings of the Third International Conference on Autonomous Agents and Multi-Agent Systems, New York, July 2004.

[Analysis and Design of Supply-Driven Strategies in TAC SCM.](papers/Ketter-2004-AAMAS-workshop.pdf)
Wolfgang Ketter, Elena Kryzhnyaya, Steven Damer, Colin McMillen, Amrudin Agovic, John Collins, and Maria Gini.
AAMAS04: Workshop on Trading Agent Design and Analysis, New York, July 2004.

[A Real-Time Collision Warning System for Intersections.](papers/Stubbs-2003-ITSA-final.pdf)
Kristen Stubbs, Hemanth Arumugam, Osama Masoud, Colin McMillen, Harini Veeraraghavan, Ravi Janardan, and Nikos Papanikolopoulos.
Proceedings of Intelligent Transportation Systems America, Minneapolis, MN, USA, May 2003.

[Heterogeneous Implementation of an Adaptive Robotic Sensing Team.](papers/Kratochvil-2003-ICRA-final.pdf)
Bradley Kratochvil, Ian T. Burt, Andrew Drenner, Derek Goerke, Bennett Jackson, Colin McMillen, Christopher Olson, Nikolaos Papanikolopoulos, Adam Pfeifer, Sascha A. Stoeter, Kristen Stubbs, and David Waletzko.
Proceedings of the IEEE International Conference on Robotics and Automation, Taipei, Taiwan, May 2003.

[Design of the UMN Multi-Robot System.](papers/Drenner-2002-NRL-final.pdf)
Andrew Drenner, Ian Burt, Brian Chapeau, Tom Dahlin, Bradley Kratochvil, Colin McMillen, Brad Nelson, Nikolaos Papanikolopoulos, Paul E. Rybski, Kristen Stubbs, David Waletzko, and Kemal Berk Yesin.
Multi-Robot Systems: From Swarms to Intelligent Automata, May 2002.

[Mobility Enhancements to the Scout Robot Platform.](papers/Drenner-2002-ICRA-final.pdf)
Andrew Drenner, Ian Burt, Tom Dahlin, Bradley Kratochvil, Colin McMillen, Brad Nelson, Nikolaos Papanikolopoulos, Paul E. Rybski, Kristen Stubbs, David Waletzko, and Kemal Berk Yesin.
Proceedings of the 2002 IEEE International Conference on Robotics and Automation, Washington D.C., USA, May 2002.

[Resource Scheduling and Load Balancing in Distributed Robotic Control Systems.](papers/McMillen-2002-IAS-final.pdf)
Colin McMillen, Kristen Stubbs, Paul E. Rybski, Sascha A. Stoeter, Maria Gini, and Nikolaos Papanikolopoulos.
Proceedings of the International Conference on Intelligent Autonomous Systems, Marina del Rey, CA, U.S.A., March 2002.
